<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<groupId>com.piggymetrics</groupId>
	<artifactId>piggymetrics</artifactId>
	<version>1.0-SNAPSHOT</version>
	<packaging>pom</packaging>
	<name>piggymetrics</name>

	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>2.0.3.RELEASE</version>
		<relativePath/> <!-- lookup parent from repository -->
	</parent>

	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<spring-cloud.version>Finchley.RELEASE</spring-cloud.version>
		<java.version>1.8</java.version>

		<mapstruct.version>1.2.0.Final</mapstruct.version>

		<!--LIQUIBASE_MAVEN_PLUGIN-->
		<spring-boot-starter-data-jpa.version>2.0.3.RELEASE</spring-boot-starter-data-jpa.version>
		<liquibase-hibernate.version>3.6</liquibase-hibernate.version>
		<javassist.version>3.21.0-GA</javassist.version>
		<validation-api.version>2.0.1.Final</validation-api.version>
	</properties>

	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>org.springframework.cloud</groupId>
				<artifactId>spring-cloud-dependencies</artifactId>
				<version>${spring-cloud.version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
			<dependency>
				<groupId>postgresql</groupId>
				<artifactId>postgresql</artifactId>
				<version>42.2.5</version>
			</dependency>
			<dependency>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-starter-jdbc</artifactId>
				<version>2.1.0.RELEASE</version>
			</dependency>
			<dependency>
				<groupId>org.liquibase</groupId>
				<artifactId>liquibase-core</artifactId>
				<version>3.5.3</version>
			</dependency>
			<dependency>
				<groupId>com.fasterxml.jackson.dataformat</groupId>
				<artifactId>jackson-dataformat-xml</artifactId>
				<version>2.9.6</version>
			</dependency>

			<!--<dependency>-->
				<!--<groupId>org.springframework.boot</groupId>-->
				<!--<artifactId>spring-boot-starter-data-jpa</artifactId>-->
				<!--<version>2.0.3.RELEASE</version>-->
			<!--</dependency>-->
			<!--<dependency>-->
				<!--<groupId>javax.validation</groupId>-->
				<!--<artifactId>validation-api</artifactId>-->
				<!--<version>2.0.1.Final</version>-->
			<!--</dependency>-->
			<!--<dependency>-->
				<!--<groupId>org.javassist</groupId>-->
				<!--<artifactId>javassist</artifactId>-->
				<!--&lt;!&ndash;<javassist.version>3.21.0-GA</javassist.version>&ndash;&gt;-->
				<!--<version>3.21.0-GA</version>-->
			<!--</dependency>-->
			<!--<dependency>-->
				<!--<groupId>org.liquibase.ext</groupId>-->
				<!--<artifactId>liquibase-hibernate5</artifactId>-->
				<!--&lt;!&ndash;<liquibase-hibernate5.version>3.6</liquibase-hibernate5.version>&ndash;&gt;-->
				<!--<version>3.6</version>-->
			<!--</dependency>-->


			<dependency>
				<groupId>com.google.guava</groupId>
				<artifactId>guava</artifactId>
				<version>19.0</version>
			</dependency>

			<dependency>
				<groupId>javax.servlet</groupId>
				<artifactId>servlet-api</artifactId>
				<version>2.5</version>
			</dependency>

		</dependencies>
	</dependencyManagement>
	
	<modules>
		<module>config</module>
		<module>monitoring</module>
		<module>registry</module>
		<module>gateway</module>
		<module>auth-service</module>
		<module>account-service</module>
		<module>statistics-service</module>
		<module>notification-service</module>
		<module>turbine-stream-service</module>

		<!--<module>marking-service</module>-->

		<module>document-service</module>
		<module>marking-service</module>
		<module>motp-service</module>
		<module>base</module>
	</modules>

</project>
